Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.traits
Class SpaceVal

    java.lang.Object
      org.apache.fop.traits.SpaceVal

    public class SpaceVal

extends java.lang.Object

Store a single Space property value in simplified form, with all Length values resolved. See section 4.3 in the specs.

Constructor Summary
`SpaceVal(MinOptMax space, boolean conditional, boolean forcing, int precedence)` Constructor for SpaceVal objects based on the full set of properties.
`SpaceVal(SpaceProperty spaceprop, PercentBaseContext context)` Constructor for SpaceVal objects based on Space objects.

Method Summary
`int` | `getPrecedence()` Returns the Precedence value.
`MinOptMax` | `getSpace()` Returns the Space value.
`boolean` | `isConditional()` Returns the Conditionality value.
`boolean` | `isForcing()` Returns the Forcing value.
`static SpaceVal` | `makeLetterSpacing(Property letterSpacing)`
`static SpaceVal` | `makeWordSpacing(Property wordSpacing, SpaceVal letterSpacing, Font fs)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpaceVal

    public SpaceVal(SpaceProperty spaceprop,
                    PercentBaseContext context)

  Constructor for SpaceVal objects based on Space objects.

  Parameters:
    `spaceprop` - Space object to use
    `context` - Percentage evaluation context

### SpaceVal

    public SpaceVal(MinOptMax space,
                    boolean conditional,
                    boolean forcing,
                    int precedence)

  Constructor for SpaceVal objects based on the full set of properties.

  Parameters:
    `space` - space to use
    `conditional` - Conditionality value
    `forcing` - Forcing value
    `precedence` - Precedence value

Method Detail

### makeWordSpacing

    public static SpaceVal makeWordSpacing(Property wordSpacing,
                                           SpaceVal letterSpacing,
                                           Font fs)

  Parameters:
    `wordSpacing` - property
    `letterSpacing` - space value
    `fs` - font
  Returns:
    space value

### makeLetterSpacing

    public static SpaceVal makeLetterSpacing(Property letterSpacing)

  Parameters:
    `letterSpacing` - property
  Returns:
    space value

### isConditional

    public boolean isConditional()

  Returns the Conditionality value.

  Returns:
    the Conditionality value

### isForcing

    public boolean isForcing()

  Returns the Forcing value.

  Returns:
    the Forcing value

### getPrecedence

    public int getPrecedence()

  Returns the Precedence value.

  Returns:
    the Precedence value

### getSpace

    public MinOptMax getSpace()

  Returns the Space value.

  Returns:
    the Space value

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.